Loading...
Searching...
No Matches
itk::ImageRandomSampler< TInputImage >::UserData Struct Reference

## Detailed Description

template<class TInputImage>
struct itk::ImageRandomSampler< TInputImage >::UserData

Definition at line 90 of file itkImageRandomSampler.h.

## Public Member Functions

| ITK_DISALLOW_COPY_AND_MOVE (UserData)

## Data Fields

const InputImageType & | m_InputImage
const std::vector< double > & | m_RandomNumberList
InputImageIndexType | m_RegionIndex {}
InputImageSizeType | m_RegionSize {}
std::vector< ImageSampleType > & | m_Samples

## Member Function Documentation

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TInputImage>

itk::ImageRandomSampler< TInputImage >::UserData::ITK_DISALLOW_COPY_AND_MOVE | ( | UserData |  | ) |

## Field Documentation

## m_InputImage

template<class TInputImage>

const InputImageType& itk::ImageRandomSampler< TInputImage >::UserData::m_InputImage

Definition at line 95 of file itkImageRandomSampler.h.

## m_RandomNumberList

template<class TInputImage>

const std::vector<double>& itk::ImageRandomSampler< TInputImage >::UserData::m_RandomNumberList

Definition at line 94 of file itkImageRandomSampler.h.

## m_RegionIndex

template<class TInputImage>

InputImageIndexType itk::ImageRandomSampler< TInputImage >::UserData::m_RegionIndex {}

Definition at line 96 of file itkImageRandomSampler.h.

## m_RegionSize

template<class TInputImage>

InputImageSizeType itk::ImageRandomSampler< TInputImage >::UserData::m_RegionSize {}

Definition at line 97 of file itkImageRandomSampler.h.

## m_Samples

template<class TInputImage>

std::vector<ImageSampleType>& itk::ImageRandomSampler< TInputImage >::UserData::m_Samples

Definition at line 98 of file itkImageRandomSampler.h.

Generated on 1768596610 for elastix by 1.15.0 |